import vtk
import wx

class MouseTracker1(vtk.vtkImagePlaneWidget):
    def __init__(self, parent, frame_parent):
        vtk.vtkImagePlaneWidget.__init__(self, parent, -1)

        self.frame_parent = frame_parent
        if self.frame_parent.planeWidgetX.GetCursorDataStatus() == 1:
            r1 = self.frame_parent.planeWidgetX.GetCurrentCursorPosition()
        elif self.frame_parent.planeWidgetY.GetCursorDataStatus() == 1:
            r1 = self.frame_parent.planeWidgetY.GetCurrentCursorPosition()
        elif self.frame_parent.planeWidgetZ.GetCursorDataStatus() == 1:
            r1 = self.frame_parent.planeWidgetZ.GetCurrentCursorPosition()
        else:
            return



